<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/5_Mission/GUI/NewUI/DropdownPrefab/DropdownPrefab.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.19.155390</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d9/dc9/_dropdown_prefab_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">DropdownPrefab.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d9/dc9/_dropdown_prefab_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="keyword">class </span>DropdownPrefab <span class="keyword">extends</span> <a class="code hl_class" href="../../d9/d0e/group___widget_a_p_i.html#df/df4/class_scripted_widget_event_handler">ScriptedWidgetEventHandler</a></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span>{</div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span>    <span class="keyword">protected</span> <a class="code hl_class" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a>                <a class="code hl_variable" href="../../d9/d0e/group___widget_a_p_i.html#a71b8e094195dbad856b869f74ddc40f0">m_Root</a>;</div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno"><a class="line" href="../../d9/d0e/group___widget_a_p_i.html#a8ff24676cafbc93323742dccee386b2c">    4</a></span>    <span class="keyword">protected</span> <a class="code hl_class" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a>                <a class="code hl_variable" href="../../d9/d0e/group___widget_a_p_i.html#a8ff24676cafbc93323742dccee386b2c">m_Parent</a>;</div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno"><a class="line" href="../../d9/d0e/group___widget_a_p_i.html#ab048ed612f546d09acb4c55a5b78f2fd">    5</a></span>    <span class="keyword">protected</span> ScrollWidget          <a class="code hl_variable" href="../../d9/d0e/group___widget_a_p_i.html#ab048ed612f546d09acb4c55a5b78f2fd">m_Scroller</a>;</div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno"><a class="line" href="../../d9/d0e/group___widget_a_p_i.html#ad661e42a0af6b2eff8b2a16f82ee4c1c">    6</a></span>    <span class="keyword">protected</span> <a class="code hl_class" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a>                <a class="code hl_variable" href="../../d9/d0e/group___widget_a_p_i.html#ad661e42a0af6b2eff8b2a16f82ee4c1c">m_ContentContainer</a>;</div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno"><a class="line" href="../../d9/d0e/group___widget_a_p_i.html#ac73d7429416364721bb719dc0cf59720">    7</a></span>    <span class="keyword">protected</span> ref <a class="code hl_class" href="../../d2/d41/classarray.html">array&lt;Widget&gt;</a>     m_Content = <span class="keyword">new</span> <a class="code hl_class" href="../../d2/d41/classarray.html">array&lt;Widget&gt;</a>;</div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span>    </div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno"><a class="line" href="../../d9/d0e/group___widget_a_p_i.html#a6046de0ec586a14d14c0c08300e2cbb5">    9</a></span>    <span class="keyword">protected</span> <a class="code hl_class" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a>                <a class="code hl_variable" href="../../d9/d0e/group___widget_a_p_i.html#a6046de0ec586a14d14c0c08300e2cbb5">m_Button</a>;</div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno"><a class="line" href="../../d9/d0e/group___widget_a_p_i.html#ad6210d0f77b9841d2b991f94ba623245">   10</a></span>    <span class="keyword">protected</span> <a class="code hl_class" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a>                <a class="code hl_variable" href="../../d9/d0e/group___widget_a_p_i.html#ad6210d0f77b9841d2b991f94ba623245">m_Holder</a>;</div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno"><a class="line" href="../../d9/d0e/group___widget_a_p_i.html#a28b527fdbe7414f9427d251bf39ebd12">   11</a></span>    <span class="keyword">protected</span> <a class="code hl_class" href="../../d9/d0e/group___widget_a_p_i.html#da/dbc/class_text_widget">TextWidget</a>            <a class="code hl_variable" href="../../d9/d0e/group___widget_a_p_i.html#a28b527fdbe7414f9427d251bf39ebd12">m_Text</a>;</div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno"><a class="line" href="../../d9/d0e/group___widget_a_p_i.html#ad351526b575d517d2233bc948ffe6388">   12</a></span>    <span class="keyword">protected</span> ImageWidget           <a class="code hl_variable" href="../../d9/d0e/group___widget_a_p_i.html#ad351526b575d517d2233bc948ffe6388">m_ImageExpand</a>;</div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno"><a class="line" href="../../d9/d0e/group___widget_a_p_i.html#aa4dd7290b66743db8b5a4c4ccf4b4b94">   13</a></span>    <span class="keyword">protected</span> ImageWidget           <a class="code hl_variable" href="../../d9/d0e/group___widget_a_p_i.html#aa4dd7290b66743db8b5a4c4ccf4b4b94">m_ImageCollapse</a>;</div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>    </div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno"><a class="line" href="../../d9/d0e/group___widget_a_p_i.html#a657048ffb824b0b14036898a9e48e1d6">   15</a></span>    <span class="keyword">protected</span> <span class="keywordtype">bool</span>                  <a class="code hl_variable" href="../../d9/d0e/group___widget_a_p_i.html#a657048ffb824b0b14036898a9e48e1d6">m_IsExpanded</a>;</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno"><a class="line" href="../../d9/d0e/group___widget_a_p_i.html#a1ae8225312c68c30f0721b1fb5f37ff6">   16</a></span>    ref <a class="code hl_class" href="../../d4/d2d/class_script_invoker.html">ScriptInvoker</a>               m_OnSelectItem  = <span class="keyword">new</span> <a class="code hl_class" href="../../d4/d2d/class_script_invoker.html">ScriptInvoker</a>();</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span> </div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno"><a class="line" href="../../d9/d0e/group___widget_a_p_i.html#a2ff6f952e9362c63374d38922f675a9b">   18</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d9/d0e/group___widget_a_p_i.html#a2ff6f952e9362c63374d38922f675a9b">DropdownPrefab</a>( <a class="code hl_class" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a> root, <span class="keywordtype">string</span> text = <span class="stringliteral">&quot;&quot;</span> )</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>    {</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span>        <a class="code hl_variable" href="../../da/d53/_size_to_child_8c.html#a751d7c19a8c7fd3347343bf0af17bd53">m_Parent</a> = root;</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>        <a class="code hl_variable" href="../../da/d53/_size_to_child_8c.html#abc384ffa3d9e20d9963688d1e3492cb7">m_Root</a>              = <a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().<a class="code hl_function" href="../../d2/de6/class_c_game.html#a9acfc7077cec18228fcafc8649054e66">GetWorkspace</a>().<a class="code hl_function" href="../../d9/d0e/group___widget_a_p_i.html#ga28f2c34f1fa5af85b32e1a11ef6f6024">CreateWidgets</a>( <span class="stringliteral">&quot;gui/layouts/new_ui/dropdown_prefab/dropdown_prefab.layout&quot;</span>, root );</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>        </div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>        m_Scroller          = ScrollWidget.Cast( <a class="code hl_variable" href="../../da/d53/_size_to_child_8c.html#abc384ffa3d9e20d9963688d1e3492cb7">m_Root</a>.FindAnyWidget( <span class="stringliteral">&quot;dropdown_container&quot;</span> ) );</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>        m_ContentContainer  = <a class="code hl_variable" href="../../da/d53/_size_to_child_8c.html#abc384ffa3d9e20d9963688d1e3492cb7">m_Root</a>.FindAnyWidget( <span class="stringliteral">&quot;dropdown_content&quot;</span> );</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>        <a class="code hl_variable" href="../../d6/d59/_action_base_8c.html#acfd9461deb0a3259e0f775fead5961d3">m_Text</a>              = <a class="code hl_class" href="../../d9/d0e/group___widget_a_p_i.html#da/dbc/class_text_widget">TextWidget</a>.Cast( <a class="code hl_variable" href="../../da/d53/_size_to_child_8c.html#abc384ffa3d9e20d9963688d1e3492cb7">m_Root</a>.FindAnyWidget( <span class="stringliteral">&quot;dropdown_text&quot;</span> ) );</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>        m_Holder            = <a class="code hl_variable" href="../../da/d53/_size_to_child_8c.html#abc384ffa3d9e20d9963688d1e3492cb7">m_Root</a>.FindAnyWidget( <span class="stringliteral">&quot;holder&quot;</span> );</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>        <a class="code hl_function" href="../../d9/d0e/group___widget_a_p_i.html#ae1db38ccdfce6467a3b949cdc4f06a85">SetText</a>( text );</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>        </div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>        m_Button            = <a class="code hl_variable" href="../../da/d53/_size_to_child_8c.html#abc384ffa3d9e20d9963688d1e3492cb7">m_Root</a>.FindAnyWidget( <span class="stringliteral">&quot;dropdown_selector_button&quot;</span> );</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>        m_ImageExpand       = ImageWidget.Cast( <a class="code hl_variable" href="../../da/d53/_size_to_child_8c.html#abc384ffa3d9e20d9963688d1e3492cb7">m_Root</a>.FindAnyWidget( <span class="stringliteral">&quot;expand_image&quot;</span> ) );</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>        m_ImageCollapse     = ImageWidget.Cast( <a class="code hl_variable" href="../../da/d53/_size_to_child_8c.html#abc384ffa3d9e20d9963688d1e3492cb7">m_Root</a>.FindAnyWidget( <span class="stringliteral">&quot;collapse_image&quot;</span> ) );</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>        </div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>        <a class="code hl_variable" href="../../da/d53/_size_to_child_8c.html#abc384ffa3d9e20d9963688d1e3492cb7">m_Root</a>.SetHandler( <span class="keyword">this</span> );</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>        </div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>        <a class="code hl_function" href="../../d9/d0e/group___widget_a_p_i.html#a6859ba49dc34bc25ae759b1436dbb378">RefreshContent</a>();</div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>    }</div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>    </div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno"><a class="line" href="../../d9/d0e/group___widget_a_p_i.html#a6859ba49dc34bc25ae759b1436dbb378">   38</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d9/d0e/group___widget_a_p_i.html#a6859ba49dc34bc25ae759b1436dbb378">RefreshContent</a>()</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>    {</div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>        <a class="code hl_class" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a> child = m_ContentContainer.GetChildren();</div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span>        <span class="keywordflow">while</span>( child )</div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>        {</div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>            <span class="keywordflow">if</span>( m_Content.Find( child ) &gt; -1 )</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>            {</div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span>                m_Content.Insert( child );</div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>            }</div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>        }</div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span>        </div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span>        m_ContentContainer.Update();</div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span>        <a class="code hl_variable" href="../../da/d53/_size_to_child_8c.html#abc384ffa3d9e20d9963688d1e3492cb7">m_Root</a>.Update();</div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span>        </div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span>        <span class="keywordtype">float</span> <a class="code hl_variable" href="../../dd/d4b/_icon_8c.html#a2970c38de5fbde060cc7a0ed546e674f">x</a>, <a class="code hl_variable" href="../../dd/d4b/_icon_8c.html#acd41c12fe81446bff0920670641367de">y</a>;</div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span>        m_ContentContainer.GetScreenSize( <a class="code hl_variable" href="../../dd/d4b/_icon_8c.html#a2970c38de5fbde060cc7a0ed546e674f">x</a>, <a class="code hl_variable" href="../../dd/d4b/_icon_8c.html#acd41c12fe81446bff0920670641367de">y</a> );</div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span>        <span class="keywordflow">if</span>( <a class="code hl_variable" href="../../dd/d4b/_icon_8c.html#acd41c12fe81446bff0920670641367de">y</a> &gt; m_Scroller.GetContentHeight() )</div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span>        {</div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span>            m_Scroller.SetAlpha( 1 );</div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span>        }</div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span>        <span class="keywordflow">else</span></div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span>        {</div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span>            m_Scroller.SetAlpha( 0 );</div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span>        }</div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span>    }</div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span>    </div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno"><a class="line" href="../../d9/d0e/group___widget_a_p_i.html#a8b52fbd97d8aa5481d01fa9b68569313">   64</a></span>    <span class="keywordtype">int</span> <a class="code hl_function" href="../../d9/d0e/group___widget_a_p_i.html#a8b52fbd97d8aa5481d01fa9b68569313">AddElement</a>( <span class="keywordtype">string</span> text, <a class="code hl_class" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a> content = null )</div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno">   65</span>    {</div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno">   66</span>        ButtonWidget element = ButtonWidget.Cast( <a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().GetWorkspace().CreateWidgets( <span class="stringliteral">&quot;gui/layouts/new_ui/dropdown_prefab/dropdown_element.layout&quot;</span>, m_ContentContainer ) );</div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno">   67</span>        <a class="code hl_class" href="../../db/d96/class_rich_text_widget.html">RichTextWidget</a> textWidget = <a class="code hl_class" href="../../db/d96/class_rich_text_widget.html">RichTextWidget</a>.Cast(element.FindAnyWidget(<span class="stringliteral">&quot;dropdown_element_text&quot;</span>));</div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno">   68</span>        textWidget.SetText( text );</div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno">   69</span>        </div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno">   70</span>        <span class="keywordflow">if</span>( content )</div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno">   71</span>        {</div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno">   72</span>            element.AddChild( content, <span class="keyword">false</span> );</div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno">   73</span>        }</div>
<div class="line"><a id="l00074" name="l00074"></a><span class="lineno">   74</span>        m_ContentContainer.Update();</div>
<div class="line"><a id="l00075" name="l00075"></a><span class="lineno">   75</span>        textWidget.Update();</div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno">   76</span>        <a class="code hl_variable" href="../../da/d53/_size_to_child_8c.html#abc384ffa3d9e20d9963688d1e3492cb7">m_Root</a>.Update();</div>
<div class="line"><a id="l00077" name="l00077"></a><span class="lineno">   77</span>        element.Update();</div>
<div class="line"><a id="l00078" name="l00078"></a><span class="lineno">   78</span>        </div>
<div class="line"><a id="l00079" name="l00079"></a><span class="lineno">   79</span>        m_Content.Insert( element );</div>
<div class="line"><a id="l00080" name="l00080"></a><span class="lineno">   80</span>        <span class="keywordflow">return</span> m_Content.Count() - 1;</div>
<div class="line"><a id="l00081" name="l00081"></a><span class="lineno">   81</span>    }</div>
<div class="line"><a id="l00082" name="l00082"></a><span class="lineno">   82</span>    </div>
<div class="line"><a id="l00083" name="l00083"></a><span class="lineno"><a class="line" href="../../d9/d0e/group___widget_a_p_i.html#ae2f33098dd3ab19606a88674513cc619">   83</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d9/d0e/group___widget_a_p_i.html#ae2f33098dd3ab19606a88674513cc619">RemoveElement</a>( <span class="keywordtype">int</span> index )</div>
<div class="line"><a id="l00084" name="l00084"></a><span class="lineno">   84</span>    {</div>
<div class="line"><a id="l00085" name="l00085"></a><span class="lineno">   85</span>        <span class="keywordflow">if</span>( 0 &lt; index &amp;&amp; index &lt; m_Content.Count() )</div>
<div class="line"><a id="l00086" name="l00086"></a><span class="lineno">   86</span>        {</div>
<div class="line"><a id="l00087" name="l00087"></a><span class="lineno">   87</span>            <span class="keyword">delete</span> m_Content.Get( index );</div>
<div class="line"><a id="l00088" name="l00088"></a><span class="lineno">   88</span>            m_ContentContainer.Update();</div>
<div class="line"><a id="l00089" name="l00089"></a><span class="lineno">   89</span>            <a class="code hl_variable" href="../../da/d53/_size_to_child_8c.html#abc384ffa3d9e20d9963688d1e3492cb7">m_Root</a>.Update();</div>
<div class="line"><a id="l00090" name="l00090"></a><span class="lineno">   90</span>            <a class="code hl_variable" href="../../da/d53/_size_to_child_8c.html#a751d7c19a8c7fd3347343bf0af17bd53">m_Parent</a>.Update();</div>
<div class="line"><a id="l00091" name="l00091"></a><span class="lineno">   91</span>        }</div>
<div class="line"><a id="l00092" name="l00092"></a><span class="lineno">   92</span>    }</div>
<div class="line"><a id="l00093" name="l00093"></a><span class="lineno">   93</span>    </div>
<div class="line"><a id="l00094" name="l00094"></a><span class="lineno"><a class="line" href="../../d9/d0e/group___widget_a_p_i.html#a6eacfd6a97fb3a1f0d4542ad61b9d16e">   94</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d9/d0e/group___widget_a_p_i.html#a6eacfd6a97fb3a1f0d4542ad61b9d16e">Close</a>()</div>
<div class="line"><a id="l00095" name="l00095"></a><span class="lineno">   95</span>    {</div>
<div class="line"><a id="l00096" name="l00096"></a><span class="lineno">   96</span>        <span class="keywordflow">if</span>( <a class="code hl_variable" href="../../db/de7/_bios_lobby_service_8c.html#ae9c8735fba39482018a546838590fdde">m_IsExpanded</a> )</div>
<div class="line"><a id="l00097" name="l00097"></a><span class="lineno">   97</span>        {</div>
<div class="line"><a id="l00098" name="l00098"></a><span class="lineno">   98</span>            <a class="code hl_variable" href="../../db/de7/_bios_lobby_service_8c.html#ae9c8735fba39482018a546838590fdde">m_IsExpanded</a> = !<a class="code hl_variable" href="../../d9/d0e/group___widget_a_p_i.html#a657048ffb824b0b14036898a9e48e1d6">m_IsExpanded</a>;</div>
<div class="line"><a id="l00099" name="l00099"></a><span class="lineno">   99</span>            m_Scroller.Show( <a class="code hl_variable" href="../../db/de7/_bios_lobby_service_8c.html#ae9c8735fba39482018a546838590fdde">m_IsExpanded</a> );</div>
<div class="line"><a id="l00100" name="l00100"></a><span class="lineno">  100</span>            m_ImageExpand.Show( !<a class="code hl_variable" href="../../db/de7/_bios_lobby_service_8c.html#ae9c8735fba39482018a546838590fdde">m_IsExpanded</a> );</div>
<div class="line"><a id="l00101" name="l00101"></a><span class="lineno">  101</span>            m_ImageCollapse.Show( <a class="code hl_variable" href="../../db/de7/_bios_lobby_service_8c.html#ae9c8735fba39482018a546838590fdde">m_IsExpanded</a> );</div>
<div class="line"><a id="l00102" name="l00102"></a><span class="lineno">  102</span>            </div>
<div class="line"><a id="l00103" name="l00103"></a><span class="lineno">  103</span>            <a class="code hl_variable" href="../../da/d53/_size_to_child_8c.html#abc384ffa3d9e20d9963688d1e3492cb7">m_Root</a>.Update();</div>
<div class="line"><a id="l00104" name="l00104"></a><span class="lineno">  104</span>            <a class="code hl_variable" href="../../da/d53/_size_to_child_8c.html#a751d7c19a8c7fd3347343bf0af17bd53">m_Parent</a>.Update();</div>
<div class="line"><a id="l00105" name="l00105"></a><span class="lineno">  105</span>        }</div>
<div class="line"><a id="l00106" name="l00106"></a><span class="lineno">  106</span>    }</div>
<div class="line"><a id="l00107" name="l00107"></a><span class="lineno">  107</span>    </div>
<div class="line"><a id="l00108" name="l00108"></a><span class="lineno"><a class="line" href="../../d9/d0e/group___widget_a_p_i.html#ae1db38ccdfce6467a3b949cdc4f06a85">  108</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d9/d0e/group___widget_a_p_i.html#ae1db38ccdfce6467a3b949cdc4f06a85">SetText</a>( <span class="keywordtype">string</span> text )</div>
<div class="line"><a id="l00109" name="l00109"></a><span class="lineno">  109</span>    {</div>
<div class="line"><a id="l00110" name="l00110"></a><span class="lineno">  110</span>        <a class="code hl_variable" href="../../d6/d59/_action_base_8c.html#acfd9461deb0a3259e0f775fead5961d3">m_Text</a>.SetText( text );</div>
<div class="line"><a id="l00111" name="l00111"></a><span class="lineno">  111</span>    }</div>
<div class="line"><a id="l00112" name="l00112"></a><span class="lineno">  112</span>    </div>
<div class="line"><a id="l00113" name="l00113"></a><span class="lineno"><a class="line" href="../../d9/d0e/group___widget_a_p_i.html#aa117830c0d145358c1a656850f1de7f3">  113</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d9/d0e/group___widget_a_p_i.html#aa117830c0d145358c1a656850f1de7f3">OnClick</a>( <a class="code hl_class" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a> w, <span class="keywordtype">int</span> <a class="code hl_variable" href="../../dd/d4b/_icon_8c.html#a2970c38de5fbde060cc7a0ed546e674f">x</a>, <span class="keywordtype">int</span> <a class="code hl_variable" href="../../dd/d4b/_icon_8c.html#acd41c12fe81446bff0920670641367de">y</a>, <span class="keywordtype">int</span> button )</div>
<div class="line"><a id="l00114" name="l00114"></a><span class="lineno">  114</span>    {</div>
<div class="line"><a id="l00115" name="l00115"></a><span class="lineno">  115</span>        <span class="keywordtype">int</span> index = m_Content.Find( w );</div>
<div class="line"><a id="l00116" name="l00116"></a><span class="lineno">  116</span>        <span class="keywordflow">if</span> ( index &gt; -1 )</div>
<div class="line"><a id="l00117" name="l00117"></a><span class="lineno">  117</span>        {</div>
<div class="line"><a id="l00118" name="l00118"></a><span class="lineno">  118</span>            m_OnSelectItem.Invoke( index );</div>
<div class="line"><a id="l00119" name="l00119"></a><span class="lineno">  119</span>            <a class="code hl_variable" href="../../db/de7/_bios_lobby_service_8c.html#ae9c8735fba39482018a546838590fdde">m_IsExpanded</a> = <span class="keyword">false</span>;</div>
<div class="line"><a id="l00120" name="l00120"></a><span class="lineno">  120</span>            m_Scroller.Show( <a class="code hl_variable" href="../../db/de7/_bios_lobby_service_8c.html#ae9c8735fba39482018a546838590fdde">m_IsExpanded</a> );</div>
<div class="line"><a id="l00121" name="l00121"></a><span class="lineno">  121</span>            m_ImageExpand.Show( !<a class="code hl_variable" href="../../db/de7/_bios_lobby_service_8c.html#ae9c8735fba39482018a546838590fdde">m_IsExpanded</a> );</div>
<div class="line"><a id="l00122" name="l00122"></a><span class="lineno">  122</span>            m_ImageCollapse.Show( <a class="code hl_variable" href="../../db/de7/_bios_lobby_service_8c.html#ae9c8735fba39482018a546838590fdde">m_IsExpanded</a> );</div>
<div class="line"><a id="l00123" name="l00123"></a><span class="lineno">  123</span>            <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00124" name="l00124"></a><span class="lineno">  124</span>        }</div>
<div class="line"><a id="l00125" name="l00125"></a><span class="lineno">  125</span>        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00126" name="l00126"></a><span class="lineno">  126</span>    }</div>
<div class="line"><a id="l00127" name="l00127"></a><span class="lineno">  127</span>    </div>
<div class="line"><a id="l00128" name="l00128"></a><span class="lineno"><a class="line" href="../../d9/d0e/group___widget_a_p_i.html#af921f811125e1ea417150db534780afd">  128</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d9/d0e/group___widget_a_p_i.html#af921f811125e1ea417150db534780afd">OnMouseButtonDown</a>( <a class="code hl_class" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a> w, <span class="keywordtype">int</span> <a class="code hl_variable" href="../../dd/d4b/_icon_8c.html#a2970c38de5fbde060cc7a0ed546e674f">x</a>, <span class="keywordtype">int</span> <a class="code hl_variable" href="../../dd/d4b/_icon_8c.html#acd41c12fe81446bff0920670641367de">y</a>, <span class="keywordtype">int</span> button )</div>
<div class="line"><a id="l00129" name="l00129"></a><span class="lineno">  129</span>    {</div>
<div class="line"><a id="l00130" name="l00130"></a><span class="lineno">  130</span>        <span class="keywordflow">if</span> ( (w == m_Button || w == <a class="code hl_variable" href="../../d6/d59/_action_base_8c.html#acfd9461deb0a3259e0f775fead5961d3">m_Text</a> || w == m_Holder) &amp;&amp; button == <a class="code hl_enumeration" href="../../d7/dc0/group___mouse.html#ga3fe1dc281e20599dff9635c050a28b8c">MouseState</a>.LEFT )</div>
<div class="line"><a id="l00131" name="l00131"></a><span class="lineno">  131</span>        {</div>
<div class="line"><a id="l00132" name="l00132"></a><span class="lineno">  132</span>            <a class="code hl_variable" href="../../db/de7/_bios_lobby_service_8c.html#ae9c8735fba39482018a546838590fdde">m_IsExpanded</a> = !<a class="code hl_variable" href="../../d9/d0e/group___widget_a_p_i.html#a657048ffb824b0b14036898a9e48e1d6">m_IsExpanded</a>;</div>
<div class="line"><a id="l00133" name="l00133"></a><span class="lineno">  133</span>            m_Scroller.Show( <a class="code hl_variable" href="../../db/de7/_bios_lobby_service_8c.html#ae9c8735fba39482018a546838590fdde">m_IsExpanded</a> );</div>
<div class="line"><a id="l00134" name="l00134"></a><span class="lineno">  134</span>            m_ImageExpand.Show( !<a class="code hl_variable" href="../../db/de7/_bios_lobby_service_8c.html#ae9c8735fba39482018a546838590fdde">m_IsExpanded</a> );</div>
<div class="line"><a id="l00135" name="l00135"></a><span class="lineno">  135</span>            m_ImageCollapse.Show( <a class="code hl_variable" href="../../db/de7/_bios_lobby_service_8c.html#ae9c8735fba39482018a546838590fdde">m_IsExpanded</a> );</div>
<div class="line"><a id="l00136" name="l00136"></a><span class="lineno">  136</span>            </div>
<div class="line"><a id="l00137" name="l00137"></a><span class="lineno">  137</span>            <a class="code hl_variable" href="../../da/d53/_size_to_child_8c.html#abc384ffa3d9e20d9963688d1e3492cb7">m_Root</a>.Update();</div>
<div class="line"><a id="l00138" name="l00138"></a><span class="lineno">  138</span>            <a class="code hl_variable" href="../../da/d53/_size_to_child_8c.html#a751d7c19a8c7fd3347343bf0af17bd53">m_Parent</a>.Update();</div>
<div class="line"><a id="l00139" name="l00139"></a><span class="lineno">  139</span>            m_ContentContainer.Update();</div>
<div class="line"><a id="l00140" name="l00140"></a><span class="lineno">  140</span>            </div>
<div class="line"><a id="l00141" name="l00141"></a><span class="lineno">  141</span>            <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00142" name="l00142"></a><span class="lineno">  142</span>        }</div>
<div class="line"><a id="l00143" name="l00143"></a><span class="lineno">  143</span>        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00144" name="l00144"></a><span class="lineno">  144</span>    }</div>
<div class="line"><a id="l00145" name="l00145"></a><span class="lineno">  145</span>}</div>
<div class="ttc" id="a_action_base_8c_html_acfd9461deb0a3259e0f775fead5961d3"><div class="ttname"><a href="../../d6/d59/_action_base_8c.html#acfd9461deb0a3259e0f775fead5961d3">m_Text</a></div><div class="ttdeci">protected string m_Text</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00049">ActionBase.c:49</a></div></div>
<div class="ttc" id="a_bios_lobby_service_8c_html_ae9c8735fba39482018a546838590fdde"><div class="ttname"><a href="../../db/de7/_bios_lobby_service_8c.html#ae9c8735fba39482018a546838590fdde">m_IsExpanded</a></div><div class="ttdeci">bool m_IsExpanded</div><div class="ttdef"><b>Definition:</b> <a href="../../db/de7/_bios_lobby_service_8c_source.html#l00058">BiosLobbyService.c:58</a></div></div>
<div class="ttc" id="a_icon_8c_html_a2970c38de5fbde060cc7a0ed546e674f"><div class="ttname"><a href="../../dd/d4b/_icon_8c.html#a2970c38de5fbde060cc7a0ed546e674f">x</a></div><div class="ttdeci">Icon x</div></div>
<div class="ttc" id="a_icon_8c_html_acd41c12fe81446bff0920670641367de"><div class="ttname"><a href="../../dd/d4b/_icon_8c.html#acd41c12fe81446bff0920670641367de">y</a></div><div class="ttdeci">Icon y</div></div>
<div class="ttc" id="a_size_to_child_8c_html_a751d7c19a8c7fd3347343bf0af17bd53"><div class="ttname"><a href="../../da/d53/_size_to_child_8c.html#a751d7c19a8c7fd3347343bf0af17bd53">m_Parent</a></div><div class="ttdeci">protected Widget m_Parent</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d53/_size_to_child_8c_source.html#l00092">SizeToChild.c:92</a></div></div>
<div class="ttc" id="a_size_to_child_8c_html_abc384ffa3d9e20d9963688d1e3492cb7"><div class="ttname"><a href="../../da/d53/_size_to_child_8c.html#abc384ffa3d9e20d9963688d1e3492cb7">m_Root</a></div><div class="ttdeci">protected Widget m_Root</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d53/_size_to_child_8c_source.html#l00091">SizeToChild.c:91</a></div></div>
<div class="ttc" id="aclass_c_game_html_a9acfc7077cec18228fcafc8649054e66"><div class="ttname"><a href="../../d2/de6/class_c_game.html#a9acfc7077cec18228fcafc8649054e66">CGame::GetWorkspace</a></div><div class="ttdeci">proto native WorkspaceWidget GetWorkspace()</div></div>
<div class="ttc" id="aclass_rich_text_widget_html"><div class="ttname"><a href="../../db/d96/class_rich_text_widget.html">RichTextWidget</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d18/gameplay_8c_source.html#l00312">gameplay.c:313</a></div></div>
<div class="ttc" id="aclass_script_invoker_html"><div class="ttname"><a href="../../d4/d2d/class_script_invoker.html">ScriptInvoker</a></div><div class="ttdoc">ScriptInvoker Class provide list of callbacks   usage:</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/ded/2___game_lib_2tools_8c_source.html#l00115">tools.c:116</a></div></div>
<div class="ttc" id="aclassarray_html"><div class="ttname"><a href="../../d2/d41/classarray.html">array</a></div><div class="ttdoc">Result for an object found in CGame.IsBoxCollidingGeometryProxy.</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/dcd/_is_box_colliding_geometry_proxy_classes_8c_source.html#l00027">IsBoxCollidingGeometryProxyClasses.c:28</a></div></div>
<div class="ttc" id="agameplay_8c_html_aebb1fa6632d513bc849994e7b6c9c93d"><div class="ttname"><a href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a></div><div class="ttdeci">proto native CGame GetGame()</div></div>
<div class="ttc" id="agroup___mouse_html_ga3fe1dc281e20599dff9635c050a28b8c"><div class="ttname"><a href="../../d7/dc0/group___mouse.html#ga3fe1dc281e20599dff9635c050a28b8c">MouseState</a></div><div class="ttdeci">MouseState</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/de4/_en_system_8c_source.html#l00310">EnSystem.c:311</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_a28b527fdbe7414f9427d251bf39ebd12"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#a28b527fdbe7414f9427d251bf39ebd12">ScriptedWidgetEventHandler::m_Text</a></div><div class="ttdeci">protected TextWidget m_Text</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/dc9/_dropdown_prefab_8c_source.html#l00011">DropdownPrefab.c:11</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_a2ff6f952e9362c63374d38922f675a9b"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#a2ff6f952e9362c63374d38922f675a9b">ScriptedWidgetEventHandler::DropdownPrefab</a></div><div class="ttdeci">void DropdownPrefab(Widget root, string text=&quot;&quot;)</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/dc9/_dropdown_prefab_8c_source.html#l00018">DropdownPrefab.c:18</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_a6046de0ec586a14d14c0c08300e2cbb5"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#a6046de0ec586a14d14c0c08300e2cbb5">ScriptedWidgetEventHandler::m_Button</a></div><div class="ttdeci">protected Widget m_Button</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/dc9/_dropdown_prefab_8c_source.html#l00009">DropdownPrefab.c:9</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_a657048ffb824b0b14036898a9e48e1d6"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#a657048ffb824b0b14036898a9e48e1d6">ScriptedWidgetEventHandler::m_IsExpanded</a></div><div class="ttdeci">protected bool m_IsExpanded</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/dc9/_dropdown_prefab_8c_source.html#l00015">DropdownPrefab.c:15</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_a6859ba49dc34bc25ae759b1436dbb378"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#a6859ba49dc34bc25ae759b1436dbb378">ScriptedWidgetEventHandler::RefreshContent</a></div><div class="ttdeci">void RefreshContent()</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/dc9/_dropdown_prefab_8c_source.html#l00038">DropdownPrefab.c:38</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_a6eacfd6a97fb3a1f0d4542ad61b9d16e"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#a6eacfd6a97fb3a1f0d4542ad61b9d16e">ScriptedWidgetEventHandler::Close</a></div><div class="ttdeci">void Close()</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/dc9/_dropdown_prefab_8c_source.html#l00094">DropdownPrefab.c:94</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_a71b8e094195dbad856b869f74ddc40f0"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#a71b8e094195dbad856b869f74ddc40f0">ScriptedWidgetEventHandler::m_Root</a></div><div class="ttdeci">protected Widget m_Root</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d53/_size_to_child_8c_source.html#l00009">SizeToChild.c:9</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_a8b52fbd97d8aa5481d01fa9b68569313"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#a8b52fbd97d8aa5481d01fa9b68569313">ScriptedWidgetEventHandler::AddElement</a></div><div class="ttdeci">int AddElement(string text, Widget content=null)</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/dc9/_dropdown_prefab_8c_source.html#l00064">DropdownPrefab.c:64</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_a8ff24676cafbc93323742dccee386b2c"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#a8ff24676cafbc93323742dccee386b2c">ScriptedWidgetEventHandler::m_Parent</a></div><div class="ttdeci">protected Widget m_Parent</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/dc9/_dropdown_prefab_8c_source.html#l00004">DropdownPrefab.c:4</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_aa117830c0d145358c1a656850f1de7f3"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#aa117830c0d145358c1a656850f1de7f3">ScriptedWidgetEventHandler::OnClick</a></div><div class="ttdeci">override bool OnClick(Widget w, int x, int y, int button)</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/dc9/_dropdown_prefab_8c_source.html#l00113">DropdownPrefab.c:113</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_aa4dd7290b66743db8b5a4c4ccf4b4b94"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#aa4dd7290b66743db8b5a4c4ccf4b4b94">ScriptedWidgetEventHandler::m_ImageCollapse</a></div><div class="ttdeci">protected ImageWidget m_ImageCollapse</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/dc9/_dropdown_prefab_8c_source.html#l00013">DropdownPrefab.c:13</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_ab048ed612f546d09acb4c55a5b78f2fd"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#ab048ed612f546d09acb4c55a5b78f2fd">ScriptedWidgetEventHandler::m_Scroller</a></div><div class="ttdeci">protected ScrollWidget m_Scroller</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/dc9/_dropdown_prefab_8c_source.html#l00005">DropdownPrefab.c:5</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_ad351526b575d517d2233bc948ffe6388"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#ad351526b575d517d2233bc948ffe6388">ScriptedWidgetEventHandler::m_ImageExpand</a></div><div class="ttdeci">protected ImageWidget m_ImageExpand</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/dc9/_dropdown_prefab_8c_source.html#l00012">DropdownPrefab.c:12</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_ad6210d0f77b9841d2b991f94ba623245"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#ad6210d0f77b9841d2b991f94ba623245">ScriptedWidgetEventHandler::m_Holder</a></div><div class="ttdeci">protected Widget m_Holder</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/dc9/_dropdown_prefab_8c_source.html#l00010">DropdownPrefab.c:10</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_ad661e42a0af6b2eff8b2a16f82ee4c1c"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#ad661e42a0af6b2eff8b2a16f82ee4c1c">ScriptedWidgetEventHandler::m_ContentContainer</a></div><div class="ttdeci">protected Widget m_ContentContainer</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/dc9/_dropdown_prefab_8c_source.html#l00006">DropdownPrefab.c:6</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_ae1db38ccdfce6467a3b949cdc4f06a85"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#ae1db38ccdfce6467a3b949cdc4f06a85">ScriptedWidgetEventHandler::SetText</a></div><div class="ttdeci">void SetText(string text)</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/dc9/_dropdown_prefab_8c_source.html#l00108">DropdownPrefab.c:108</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_ae2f33098dd3ab19606a88674513cc619"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#ae2f33098dd3ab19606a88674513cc619">ScriptedWidgetEventHandler::RemoveElement</a></div><div class="ttdeci">void RemoveElement(int index)</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/dc9/_dropdown_prefab_8c_source.html#l00083">DropdownPrefab.c:83</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_af921f811125e1ea417150db534780afd"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#af921f811125e1ea417150db534780afd">ScriptedWidgetEventHandler::OnMouseButtonDown</a></div><div class="ttdeci">override bool OnMouseButtonDown(Widget w, int x, int y, int button)</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/dc9/_dropdown_prefab_8c_source.html#l00128">DropdownPrefab.c:128</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_da/dbc/class_text_widget"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#da/dbc/class_text_widget">TextWidget</a></div><div class="ttdef"><b>Definition:</b> <a href="../../db/d33/_en_widgets_8c_source.html#l00205">EnWidgets.c:206</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_dd/d6a/class_widget"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a></div><div class="ttdef"><b>Definition:</b> <a href="../../db/d33/_en_widgets_8c_source.html#l00175">EnWidgets.c:176</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_df/df4/class_scripted_widget_event_handler"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#df/df4/class_scripted_widget_event_handler">ScriptedWidgetEventHandler</a></div><div class="ttdoc">map: item x vector(index, width, height)</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d33/_en_widgets_8c_source.html#l00524">EnWidgets.c:525</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_ga28f2c34f1fa5af85b32e1a11ef6f6024"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#ga28f2c34f1fa5af85b32e1a11ef6f6024">WorkspaceWidget::CreateWidgets</a></div><div class="ttdeci">proto native external Widget CreateWidgets(string layout, Widget parentWidget=NULL, bool immedUpdate=true)</div><div class="ttdoc">Create widgets from *.layout file.</div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_6abc2eacac2e7d76bc186cd4309aa0e0.html">5_Mission</a></li><li class="navelem"><a class="el" href="../../dir_2356304830c38acce59b30a90a6c3ad1.html">GUI</a></li><li class="navelem"><a class="el" href="../../dir_5a24b5f2ae2b05194f42ac7ef23e72cc.html">NewUI</a></li><li class="navelem"><a class="el" href="../../dir_db6cffc4b76df2d1216f77bb0ecbb400.html">DropdownPrefab</a></li><li class="navelem"><a class="el" href="../../d9/dc9/_dropdown_prefab_8c.html">DropdownPrefab.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
